Bug 190512 - sky2 driver doesn't recover after suspend/resume, or even rmmod/modprobe
sky2 driver doesn't recover after suspend/resume, or even rmmod/modprobe
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-03 00:05 EDT by John Heidemann
Modified: 2015-01-04 17:26 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-24 18:15:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description John Heidemann 2006-05-03 00:05:36 EDT
Description of problem:
on a laptop (Toshiba Portege R200) with the Marvell 88E8053 Gigabit Ethernet
Controller,
ethernet doesn't come back up after suspend/resume
with the sky2 device driver.
In addition, removing and remodprobing the driver causes the interface to go away.


Version-Release number of selected component (if applicable):
FC5 (upgraded from FC4), with each of the 3 kernels currently out (currently 
2.6.16-1.2096_FC5 , but also 2080 and 2054).


How reproducible:

Steps to Reproduce:
1. boot FC5
2. bring network up
2. suspend laptop (which takes network down since NET_RESTART=yes in
/etc/sysconfig/apmd)
3. resume laptop.  Network is down
4.  ifup eth0 gives nothing and eventually times out

then
5. rmmod sky2; insmod sky2 and the eth0 interface goes away
  
Actual results:
network is down;
device driver cannot be reloaded

Expected results:
after step 4, network should come up

even if step 4 failes, after step 5, the eht0 should come back,
then the network should come back

Additional info:
Suspend/resume didn't work in FC4 with the sk98lin driver, either,
but there one could rmmod/modprobe the driver which would successfully
reinitialize the device.

Work-around: reboot after resume, or use wireless :-(
Comment 1 John Heidemann 2006-05-03 15:53:19 EDT
A bit more information: rmmod/modprobe of sky2 is successful if both are done
before suspend/resume (the eth0 device comes back).  Rmmod'ing sky2 before
suspend, then modprobing it after resume doesn't help.
Comment 2 John Heidemann 2006-05-06 15:04:30 EDT
A correction: the driver DOES restore if I rmmod it before suspend and modprobe
it after resume.  I was mislead in the inital bug report since eth0 doesn't come
back until you ifup it.  Thus, a work-around for the suspend/resume problem is
to remove the module before suspend and restore it afterwards, just like I was
doing with the sk98lin driver in FC4.
Comment 3 Dave Jones 2006-10-16 17:26:52 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 4 Dave Jones 2006-11-24 18:15:47 EST
This bug has been mass-closed along with all other bugs that
have been in NEEDINFO state for several months.

Due to the large volume of inactive bugs in bugzilla, this
is the only method we have of cleaning out stale bug reports
where the reporter has disappeared.

If you can reproduce this bug after installing all the
current updates, please reopen this bug.

If you are not the reporter, you can add a comment requesting
it be reopened, and someone will get to it asap.

Thank you.
Comment 5 David Steckbeck 2007-09-11 15:00:09 EDT
This bug still exists in F7 kernel 2.6.22.4-65 - since RH5 is downstream, I can
only assume its still a valid bug.

Note You need to log in before you can comment on or make changes to this bug.